##### experimental::basic_concurrent_channel::operator= (2 of 2 overloads)

Move-assign a `experimental::basic_concurrent_channel` from another.

    template<
        typename Executor1>
    constraint< is_convertible< Executor1, Executor >::value, basic_concurrent_channel & >::type operator=(
        basic_concurrent_channel< Executor1, Traits, Signatures...> && other);

This assignment operator moves a channel from one object to another. Cancels any outstanding asynchronous operations associated with the target object.

###### Parameters

other

  The other `experimental::basic_concurrent_channel` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_concurrent_channel(const executor_type&)` constructor.